@ECHO OFF

REM This batch file is intended as a simple example on the use of the PEEK,
REM POKE and EXEC commands.

REM The following example will (If run from real DOS) flush the disk cache
REM and perform a warm restart.

REM PEEK.EXE, POKE.EXE and EXEC.EXE should all be stored in a directory
REM (Such as C:\DOS or C:\Windows) in the DOS path.



REM Test for Windows 95/98 virtual DOS.

PEEK F000:FFF0

IF NOT ERRORLEVEL 234 GOTO WINDOWS



REM Flush Microsoft's Smartdrive Disk Cache.

SMARTDRV /C


REM Set reset flag at 40:72 for warm start.

POKE 40:72,34
POKE 40:73,12



REM EXECute code at reset vector address.

EXEC F000:FFF0


:WINDOWS
ECHO.
ECHO Windows 95/98 virtual DOS detected.
ECHO.
ECHO The computer will not be restarted until this batch file is run from true DOS.
ECHO.

